
From philb@iag.net Fri Jun 14 23:15:29 1996
Newsgroups: comp.lang.clipper
Path: news.iag.net!news.math.psu.edu!news.cse.psu.edu!uwm.edu!news-res.gsl.net!news.gsl.net!nntp.coast.net!news.kei.com!newsfeed.internetmci.com!in1.uu.net!ott.istar!istar.net!tor.istar!nestle.ca!nobody
From: vector@mail.matav.hu (Victor Szl)
Subject: Re: EXCLUSIVE / SHARED problem
Message-ID: <31c15314.43202011@doorman.nestle.ca>
Sender: nobody@doorman.nestle.ca
Reply-To: vector@mail.matav.hu
Organization: Szlvsz Bt.
Date: Fri, 14 Jun 1996 11:57:56 GMT
References: <4pppuc$lj7@newsbf02.news.aol.com>
X-Newsreader: Forte Agent .99e/32.227
Lines: 51

jgscemla@aol.com (JGScemla) wrote:
>I am looking for a way to determine if a given file was opened in SHARED
>or in EXCLUSIVE mode.

Hi !

Try this one:

? FileOpenMode("HELLO.DBF")
USE HELLO.DBF SHARED
? FileOpenMode("HELLO.DBF")
USE HELLO.DBF EXCLUSIVE
? FileOpenMode("HELLO.DBF")

#include "fileio.ch"

#define _NOTOPENED      1
#define _SHARED         2
#define _EXCLUSIVE      3

FUNCTION FileOpenMode(cFileName)
     LOCAL fhnd

     IF !File(cFileName)
          RETURN _NOTOPENED
     ENDIF

     fhnd := fOpen(cFileName, FO_READ + FO_EXCLUSIVE)

     IF fhnd != F_ERROR
          fClose(fhnd)
          RETURN _NOTOPENED
     ENDIF

     fhnd := fOpen(cFileName, FO_READ + FO_SHARED)

     IF fhnd != F_ERROR
          fClose(fhnd)
          RETURN _SHARED
     ENDIF

     RETURN _EXCLUSIVE

- - - - - - - - - - - - - - - - - - -
Victor, Szl

Szlvsz Bt.
Budapest, Hungary

E-mail: vector@mail.matav.hu


